﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\POS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDER') 
 CREATE TABLE T_POS_SALESORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FBIZDATE DATETIME,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FISOPENQUO CHAR(1) DEFAULT '0' NOT NULL,
FOPENQUOTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FRETURNGOODSREASONID BIGINT DEFAULT 0 NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISTICKETRETURN CHAR(1) DEFAULT '0' NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCOLLECTMODE CHAR(5) DEFAULT '01' NOT NULL,
FISREDRUSH CHAR(1) DEFAULT '0' NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISMERGEBILL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDER_F') 
 CREATE TABLE T_POS_SALESORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTILLNEEDTOPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDER_O') 
 CREATE TABLE T_POS_SALESORDER_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDER_T') 
 CREATE TABLE T_POS_SALESORDER_T (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEADDR NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTERPRISETEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDERFINE') 
 CREATE TABLE T_POS_SALESORDERFINE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETLLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME,
FSETTLEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDERGOODSE') 
 CREATE TABLE T_POS_SALESORDERGOODSE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMUSTTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FISPUSHDOWN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDERGOODSE_F') 
 CREATE TABLE T_POS_SALESORDERGOODSE_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POS_SALESORDERGOODSE_R') 
 CREATE TABLE T_POS_SALESORDERGOODSE_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FINISRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


/**IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_POS_PAYCONFIG' AND KSQL_COL_NAME ='FCREATEORGID') **/
 /**ALTER TABLE T_POS_PAYCONFIG ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );**/

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\POS_table.sql **/
