<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>874383409319794688</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1595238823000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>0MKNDNY46V4K</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizorgid</TargetFieldKey>
                      <SourceFieldKey>bizorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>branchid</TargetFieldKey>
                      <SourceFieldKey>salebranchid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>A</Expression>
                          <Description/>
                          <ExprTran>标准预订单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cashierid</TargetFieldKey>
                      <SourceFieldKey>creator</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>totalamount</TargetFieldKey>
                      <SourceFieldKey>sumamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>billdate</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>DATE(YEAR(saleendtime), MONTH(saleendtime), DAY(saleendtime))</Expression>
                          <Description/>
                          <ExprTran>DATE(YEAR(销售结束时间), MONTH(销售结束时间), DAY(销售结束时间))</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>customerid</TargetFieldKey>
                      <SourceFieldKey>customerid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountamount</TargetFieldKey>
                      <SourceFieldKey>sumdiscount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>receamount</TargetFieldKey>
                      <SourceFieldKey>sumbalamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>0</Expression>
                          <Description/>
                          <ExprTran>退货销售</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>saleoption</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>totalrealamount</TargetFieldKey>
                      <SourceFieldKey>preamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exchangerate</TargetFieldKey>
                      <SourceFieldKey>financeexchangerate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>leftamount</TargetFieldKey>
                      <SourceFieldKey>stillneedtopay</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>locurrencyid</TargetFieldKey>
                      <SourceFieldKey>locurrencyid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currencyid</TargetFieldKey>
                      <SourceFieldKey>currencyid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>starttime</TargetFieldKey>
                      <SourceFieldKey>salestarttime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>endtime</TargetFieldKey>
                      <SourceFieldKey>saleendtime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>collectmode</TargetFieldKey>
                      <SourceFieldKey>collectmode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>customname</TargetFieldKey>
                      <SourceFieldKey>customername</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>linktel</TargetFieldKey>
                      <SourceFieldKey>customerphone</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>admindivisionid</TargetFieldKey>
                      <SourceFieldKey>admindivisionid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>address</TargetFieldKey>
                      <SourceFieldKey>customeraddress</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SourceFieldKey>biztype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbilltype</TargetFieldKey>
                      <SourceFieldKey>terminaltype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>changepriceopr</TargetFieldKey>
                      <SourceFieldKey>changepriceopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountopr</TargetFieldKey>
                      <SourceFieldKey>discountopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>returnopr</TargetFieldKey>
                      <SourceFieldKey>returnopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>giftopr</TargetFieldKey>
                      <SourceFieldKey>giftopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>debitopr</TargetFieldKey>
                      <SourceFieldKey>debitopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cashreceiver</TargetFieldKey>
                      <SourceFieldKey>cashreceiver</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>goodsid</TargetFieldKey>
                      <SourceFieldKey>goodsid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialid</TargetFieldKey>
                      <SourceFieldKey>materielid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockstatus</TargetFieldKey>
                      <SourceFieldKey>channelstockstatusid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockid</TargetFieldKey>
                      <SourceFieldKey>stockid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockpositionid</TargetFieldKey>
                      <SourceFieldKey>stockposition</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ownertype</TargetFieldKey>
                      <SourceFieldKey>ownertype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ownerid</TargetFieldKey>
                      <SourceFieldKey>ownerid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unitid</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockunitid</TargetFieldKey>
                      <SourceFieldKey>stockunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunitid</TargetFieldKey>
                      <SourceFieldKey>baseunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunitid</TargetFieldKey>
                      <SourceFieldKey>auxunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>qty</TargetFieldKey>
                      <SourceFieldKey>saleqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseqty</TargetFieldKey>
                      <SourceFieldKey>baseunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunitqty</TargetFieldKey>
                      <SourceFieldKey>auxunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountrate</TargetFieldKey>
                      <SourceFieldKey>discountrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>amount</TargetFieldKey>
                      <SourceFieldKey>amount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>balamount</TargetFieldKey>
                      <SourceFieldKey>sumbalamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sourcebillno</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>salerid</TargetFieldKey>
                      <SourceFieldKey>goodssaler</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>retreasonid</TargetFieldKey>
                      <SourceFieldKey>returngoodsreason</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxattrid</TargetFieldKey>
                      <SourceFieldKey>auxattrid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lotid</TargetFieldKey>
                      <SourceFieldKey>lotnum</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>price</TargetFieldKey>
                      <SourceFieldKey>retailprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountprice</TargetFieldKey>
                      <SourceFieldKey>discountprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>basedatafield</TargetFieldKey>
                      <SourceFieldKey>barcode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountreasonid</TargetFieldKey>
                      <SourceFieldKey>discountreasonid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>initialbillno</TargetFieldKey>
                      <SourceFieldKey>initialbillno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>goodsentryentity.id</Expression>
                          <Description/>
                          <ExprTran>商品明细.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillbiztype</TargetFieldKey>
                      <SourceFieldKey>biztype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockunitqty</TargetFieldKey>
                      <SourceFieldKey>stockunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleid</TargetFieldKey>
                      <SourceFieldKey>setllementid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlecurrid</TargetFieldKey>
                      <SourceFieldKey>settlecurrid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>rate</TargetFieldKey>
                      <SourceFieldKey>exchangerate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleamount</TargetFieldKey>
                      <SourceFieldKey>settleamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cardno</TargetFieldKey>
                      <SourceFieldKey>cardno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>referenceno</TargetFieldKey>
                      <SourceFieldKey>tradereference</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bankaccountno</TargetFieldKey>
                      <SourceFieldKey>bankaccountid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>orderno</TargetFieldKey>
                      <SourceFieldKey>orderno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.drp.pos.formplugin.saleorder.SaleOrderConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>isbook</FieldName>
                              <RightBracket/>
                              <Id>0P5XFTU2Z8P+</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0P5XFTU2Z9C8</Id>
                                  <Value>1</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>ispushdown</FieldName>
                              <RightBracket/>
                              <Id>0QN=OU7XW7IE</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0QN=OU7XW6V5</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>已生成预订单</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>entryentity</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>goodsentryentity</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <utoSave>true</utoSave>
              <efRule>false</efRule>
              <TargetEntityNumber>ococ_orderbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>零售开单（销售退货）结算下推预订单</Name>
              <SourceEntityNumber>pos_salesorder</SourceEntityNumber>
              <Id>874383409319794688</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>billstatus</FieldName>
                          <RightBracket/>
                          <Id>0NK76UO/D2M2</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0NK76UO/D3=B</Id>
                              <Value>C</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>salestatus</FieldName>
                          <RightBracket/>
                          <Id>0PP9ASLW=FA/</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0PP9ASM1J9/S</Id>
                              <Value>S</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>biztype</FieldName>
                          <RightBracket/>
                          <Id>0Q3UV0+PBQ+4</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0Q3UV0+PBQND</Id>
                              <Value>B</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>ismergebill</FieldName>
                          <RightBracket/>
                          <Id>0QD1VHXWHFQ6</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0QD1VHXWHKF+</Id>
                              <Value>0</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>单据状态 等于 已审核 and 销售状态 等于 已结算 and 业务类型 等于 销售退货 and 下推类型 等于 预订单</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>874383409319794688</Id>
          <InheritPath/>
          <CreateDate>1587434625000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>275188253840125309</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1595238824155</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>0MKNDNY46V4K</BizappId>
      <TargetEntityNumber>ococ_orderbill</TargetEntityNumber>
      <SourceEntityNumber>pos_salesorder</SourceEntityNumber>
      <Id>874383409319794688</Id>
      <InheritPath></InheritPath>
      <CreateDate>1587434625000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
