<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>873841568719571968</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1595319401000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>0MKNDNY46V4K</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizorgid</TargetFieldKey>
                      <SourceFieldKey>bizorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>billdate</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>DATE(YEAR(saleendtime), MONTH(saleendtime), DAY(saleendtime))</Expression>
                          <Description/>
                          <ExprTran>DATE(YEAR(销售结束时间), MONTH(销售结束时间), DAY(销售结束时间))</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>A</Expression>
                          <Description/>
                          <ExprTran>标准零售单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>salestatus</TargetFieldKey>
                      <SourceFieldKey>salestatus</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>branchid</TargetFieldKey>
                      <SourceFieldKey>salebranchid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>0</Expression>
                          <Description/>
                          <ExprTran>退货销售</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>saleoption</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>customerid</TargetFieldKey>
                      <SourceFieldKey>customerid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exchangerate</TargetFieldKey>
                      <SourceFieldKey>financeexchangerate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cashierid</TargetFieldKey>
                      <SourceFieldKey>creator</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>totalrealamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>totalrealamount - preamount</Expression>
                          <Description/>
                          <ExprTran>实收金额 - 预订金额</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>locurrencyid</TargetFieldKey>
                      <SourceFieldKey>locurrencyid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currencyid</TargetFieldKey>
                      <SourceFieldKey>currencyid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>customname</TargetFieldKey>
                      <SourceFieldKey>customername</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>linktel</TargetFieldKey>
                      <SourceFieldKey>customerphone</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>admindivisionid</TargetFieldKey>
                      <SourceFieldKey>admindivisionid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>address</TargetFieldKey>
                      <SourceFieldKey>customeraddress</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>collectmode</TargetFieldKey>
                      <SourceFieldKey>collectmode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>starttime</TargetFieldKey>
                      <SourceFieldKey>salestarttime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>endtime</TargetFieldKey>
                      <SourceFieldKey>saleendtime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SourceFieldKey>biztype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbilltype</TargetFieldKey>
                      <SourceFieldKey>terminaltype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlecurrency</TargetFieldKey>
                      <SourceFieldKey>currencyid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>changepriceopr</TargetFieldKey>
                      <SourceFieldKey>changepriceopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountopr</TargetFieldKey>
                      <SourceFieldKey>discountopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>returnopr</TargetFieldKey>
                      <SourceFieldKey>returnopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>giftopr</TargetFieldKey>
                      <SourceFieldKey>giftopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>debitopr</TargetFieldKey>
                      <SourceFieldKey>debitopr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cashreceiver</TargetFieldKey>
                      <SourceFieldKey>cashreceiver</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exratetableid</TargetFieldKey>
                      <SourceFieldKey>exratetable</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ignoredecimalamt</TargetFieldKey>
                      <SourceFieldKey>ignoredecimalamt</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>goodsid</TargetFieldKey>
                      <SourceFieldKey>goodsid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialid</TargetFieldKey>
                      <SourceFieldKey>materielid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockorgid</TargetFieldKey>
                      <SourceFieldKey>inventoryorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>channelstockstatusid</TargetFieldKey>
                      <SourceFieldKey>channelstockstatusid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockid</TargetFieldKey>
                      <SourceFieldKey>stockid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ownertype</TargetFieldKey>
                      <SourceFieldKey>ownertype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ownerid</TargetFieldKey>
                      <SourceFieldKey>ownerid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>qty</TargetFieldKey>
                      <SourceFieldKey>saleqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unitid</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunitid</TargetFieldKey>
                      <SourceFieldKey>baseunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockunitid</TargetFieldKey>
                      <SourceFieldKey>stockunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunitid</TargetFieldKey>
                      <SourceFieldKey>auxunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunitqty</TargetFieldKey>
                      <SourceFieldKey>baseunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunitqty</TargetFieldKey>
                      <SourceFieldKey>auxunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountrate</TargetFieldKey>
                      <SourceFieldKey>discountrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>amountandtax</TargetFieldKey>
                      <SourceFieldKey>amount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>balamount</TargetFieldKey>
                      <SourceFieldKey>realamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>retqty</TargetFieldKey>
                      <SourceFieldKey>saleqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lotid</TargetFieldKey>
                      <SourceFieldKey>lotid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sourcebillno</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>salerid</TargetFieldKey>
                      <SourceFieldKey>goodssaler</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>retreasonid</TargetFieldKey>
                      <SourceFieldKey>returngoodsreason</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrate</TargetFieldKey>
                      <SourceFieldKey>taxrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>realprice</TargetFieldKey>
                      <SourceFieldKey>discountprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>serialid</TargetFieldKey>
                      <SourceFieldKey>serialid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>serialqty</TargetFieldKey>
                      <SourceFieldKey>serialqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>serialunitid</TargetFieldKey>
                      <SourceFieldKey>serialunitid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockpositionid</TargetFieldKey>
                      <SourceFieldKey>stockposition</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockunitqty</TargetFieldKey>
                      <SourceFieldKey>stockunitqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>keepertype</TargetFieldKey>
                      <SourceFieldKey>keepertype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>keeperid</TargetFieldKey>
                      <SourceFieldKey>keeperid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lotno</TargetFieldKey>
                      <SourceFieldKey>lotnum</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>channelstocktypeid</TargetFieldKey>
                      <SourceFieldKey>channelstocktypeid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>stockupdate</TargetFieldKey>
                      <SourceFieldKey>inventoryupdate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxpropid</TargetFieldKey>
                      <SourceFieldKey>auxattrid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>priceandtax</TargetFieldKey>
                      <SourceFieldKey>retailprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountpriceandtax</TargetFieldKey>
                      <SourceFieldKey>discountprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>barcode</TargetFieldKey>
                      <SourceFieldKey>barcode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountreasonid</TargetFieldKey>
                      <SourceFieldKey>discountreasonid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>price</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>retailprice / (100 + taxrate ) * 100</Expression>
                          <Description/>
                          <ExprTran>售价 / (100 + 税率(%) ) * 100</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>discountprice</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>discountprice / (100 + taxrate ) * 100</Expression>
                          <Description/>
                          <ExprTran>实价 / (100 + 税率(%) ) * 100</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>amount</TargetFieldKey>
                      <SourceFieldKey>amount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>initialbillno</TargetFieldKey>
                      <SourceFieldKey>initialbillno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillbiztype</TargetFieldKey>
                      <SourceFieldKey>biztype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>goodsentryentity.id</Expression>
                          <Description/>
                          <ExprTran>商品明细.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>realamount</TargetFieldKey>
                      <SourceFieldKey>balamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrateid</TargetFieldKey>
                      <SourceFieldKey>taxrateid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleid</TargetFieldKey>
                      <SourceFieldKey>setllementid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlecurrid</TargetFieldKey>
                      <SourceFieldKey>settlecurrid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>rate</TargetFieldKey>
                      <SourceFieldKey>exchangerate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleamount</TargetFieldKey>
                      <SourceFieldKey>settleamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>locsettleamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>settleamount * exchangerate</Expression>
                          <Description/>
                          <ExprTran>结算金额 * 汇率</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>integralconsum</TargetFieldKey>
                      <SourceFieldKey>integralconsum</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>cardno</TargetFieldKey>
                      <SourceFieldKey>cardno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>referenceno</TargetFieldKey>
                      <SourceFieldKey>tradereference</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bankaccountno</TargetFieldKey>
                      <SourceFieldKey>bankaccountid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>orderno</TargetFieldKey>
                      <SourceFieldKey>orderno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.drp.pos.formplugin.saleorder.SaleOrderConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>isbook</FieldName>
                              <RightBracket/>
                              <Id>0Q0HODCUGJMV</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0Q0HODCUGKA3</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>ispushdown</FieldName>
                              <RightBracket/>
                              <Id>0QNGE7NBULMN</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0QNGE7NBUM=X</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>已生成零售单</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>entryentity</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>goodsentryentity</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <utoSave>true</utoSave>
              <efRule>false</efRule>
              <BizRulePolicy>
                <BizRulePolicy>
                  <Actions>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算原价金额</Description>
                      <Id>0QDTWWF8+2=Q</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"totalamount = sum( amountandtax ) "}</Parameters>
                      <Seq>1</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算实价金额</Description>
                      <Id>0QDTZZOTB60D</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"receamount = sum( realamount ) "}</Parameters>
                      <Seq>2</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算折扣金额</Description>
                      <Id>0QDU1HY5+32T</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"discountamount = totalamount - receamount "}</Parameters>
                      <Seq>3</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算税额</Description>
                      <Id>0R4D81NSZXQG</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"taxamount = balamount / ( 100 + taxrate ) * taxrate"}</Parameters>
                      <Seq>4</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算不含税金额</Description>
                      <Id>0R4D927IP=H7</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"notintaxamt = balamount - taxamount "}</Parameters>
                      <Seq>5</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算单头不含税金额</Description>
                      <Id>0RV3DRR=72T0</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"notaxamount = sum(notintaxamt)"}</Parameters>
                      <Seq>6</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算价税合计（本位币）</Description>
                      <Id>0R4D=+QH1/NO</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"curbalamount = balamount * exchangerate "}</Parameters>
                      <Seq>7</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算税额（本位币）</Description>
                      <Id>0R4DA/42G+PK</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"curtaxamount = taxamount * exchangerate "}</Parameters>
                      <Seq>8</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算不含税金额（本位币）</Description>
                      <Id>0R4DB054I2QA</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"curnotintaxamt = curbalamount - curtaxamount "}</Parameters>
                      <Seq>9</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算单头税额</Description>
                      <Id>0RV3CL3ULQM6</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"totaltaxamount = sum(taxamount)"}</Parameters>
                      <Seq>10</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FormulaAction</ActionId>
                      <Description>计算计算实收含税单价（抹零后）</Description>
                      <Id>0SCPT2MIKT74</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FormulaAction</RunActionClass>
                      <Parameters>{"Expression":"dispriceandtaigdec = balamount / qty "}</Parameters>
                      <Seq>11</Seq>
                    </CRBizRuleElement>
                  </Actions>
                </BizRulePolicy>
              </BizRulePolicy>
              <TargetEntityNumber>ococ_retailbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>零售开单（销售退货合并订单）结算下推零售单</Name>
              <SourceEntityNumber>pos_salesorder</SourceEntityNumber>
              <Id>873841568719571968</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>billstatus</FieldName>
                          <RightBracket/>
                          <Id>0NK/Y/J8/KG9</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0NK/Y/J8/L4I</Id>
                              <Value>C</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>salestatus</FieldName>
                          <RightBracket/>
                          <Id>0PP9C=80ROCH</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0PP9C=84D389</Id>
                              <Value>S</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>biztype</FieldName>
                          <RightBracket/>
                          <Id>0Q464+3AOWD7</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0Q464+3AOVPZ</Id>
                              <Value>B</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>ismergebill</FieldName>
                          <RightBracket/>
                          <Id>0QD2/T6MO+UI</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>0QD2/T6MNW3Q</Id>
                              <Value>2</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>单据状态 等于 已审核 and 销售状态 等于 已结算 and 业务类型 等于 销售退货 and 下推类型 等于 合并订单</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>873841568719571968</Id>
          <InheritPath/>
          <CreateDate>1587370032000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>275188253840125309</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1595319401945</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>0MKNDNY46V4K</BizappId>
      <TargetEntityNumber>ococ_retailbill</TargetEntityNumber>
      <SourceEntityNumber>pos_salesorder</SourceEntityNumber>
      <Id>873841568719571968</Id>
      <InheritPath></InheritPath>
      <CreateDate>1587370032000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
